View Issue Details

IDProjectCategoryView StatusLast Update
0032894Open CASCADEOCCT:Application Frameworkpublic2022-06-26 11:58
Reporterbugmaster Assigned Tompv  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformLinuxOSUbuntu 20.04 
Target Version7.7.0 
Summary0032894: Application Framework - Regressions on Ubuntu 20.04
Descriptionhttp://occt-tests/porting_to_c%2B%2B20/ubuntu20.04-c11/summary.html
http://occt-tests/porting_to_c%2B%2B20/ubuntu20.04-c20/summary.html

bugs caf: bug27667
REQUIRED OCC27667 All: BinLDrivers_DocumentRetrievalDriver: error: shape section is not found

bugs caf: bug114, bug31546
Tcl Exception: Memory leak detected

Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0032889 newbugmaster Configuration - Ubuntu 20.04 gcc 10 bugs 

Activities

kgv

2022-03-30 11:27

developer   ~0107476

Last edited: 2022-03-30 11:27

git

2022-06-20 17:45

administrator   ~0109123

Branch CR32894 has been created by mpv.

SHA-1: f8c45c2f0df26c4da5d8367c737f83b84952b019


Detailed log of new commits:

Author: mpv
Date: Mon Jun 20 17:45:27 2022 +0300

    0032894: Application Framework - Regressions on Ubuntu 20.04
    
    Updated corrupted file reading error management, make memory unit-tests more stable.

mpv

2022-06-21 08:56

developer   ~0109126

Fixed in OCCT CR32894.

For "bug27667" the message is fixed.

The tests "bug114" and "bug31546" are unstable due to behavior of "meminfo h" on this OS. It is manually checked that there is no actual memory leak in both. However stability of each test is increased a little in patch. If some test is still unstable, I propose to exclude it from testing on Ubuntu 20.04.

http://jenkins-test-occt.nnov.opencascade.com//view/CR32894-master-MPV/view/COMPARE/job/CR32894-master-MPV-OCCT-Windows-64-VC14-opt-test-compare/
http://jenkins-test-occt.nnov.opencascade.com/job/CR32894-master-MPV-Products-Windows-64-VC14-opt-test-compare/1/
http://jenkins-test-occt.nnov.opencascade.com/job/CR32894-master-MPV-OCCT-Debian80-64-opt-test-compare/1/
http://jenkins-test-occt.nnov.opencascade.com/job/CR32894-master-MPV-Products-Debian80-64-opt-test-compare/1/

vro

2022-06-21 12:44

developer   ~0109139

Reviewed. For integration:
OCC: CR32894
Products: nothing

smoskvin

2022-06-26 11:27

administrator   ~0109235

Combination -
OCCT branch : IR-2022-06-24
master SHA - 63fa56bc83f2f366068fd2e67fce3ea4ff0c5ee3
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-06-24 SHA - bcdc36ce997b4a080c8321c2737db7a880a55028
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18881.26000000074 / 18769.080000000537 [+0.60%]
Products
Total CPU difference: 11821.570000000123 / 11750.840000000107 [+0.60%]
Windows-64-VC14:
OCCT
Total CPU difference: 20729.625 / 20650.390625 [+0.38%]
Products
Total CPU difference: 13355.9375 / 13264.28125 [+0.69%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-06-26 11:58

administrator   ~0109246

Branch CR32894 has been deleted by mnt.

SHA-1: f8c45c2f0df26c4da5d8367c737f83b84952b019

Related Changesets

occt: master f8c45c2f

2022-06-20 17:45:27

mpv

Details Diff
0032894: Application Framework - Regressions on Ubuntu 20.04

Updated corrupted file reading error management, make memory unit-tests more stable.
Affected Issues
0032894
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.cxx Diff File
mod - src/BinLDrivers/BinLDrivers_DocumentSection.cxx Diff File
mod - src/BinLDrivers/BinLDrivers_DocumentSection.hxx Diff File
mod - tests/bugs/caf/bug114 Diff File
mod - tests/bugs/caf/bug31546 Diff File

Issue History

Date Modified Username Field Change
2022-03-30 09:30 bugmaster New Issue
2022-03-30 09:30 bugmaster Assigned To => mpv
2022-03-30 09:32 bugmaster Relationship added child of 0032889
2022-03-30 09:32 bugmaster Summary Application Framework - - Regressions on Ubuntu 10.04 => Application Framework - Regressions on Ubuntu 10.04
2022-03-30 09:40 bugmaster OS => Ubuntu 20.04
2022-03-30 09:40 bugmaster Platform => Linux
2022-03-30 09:41 bugmaster Relationship added parent of 0032896
2022-03-30 09:41 bugmaster Relationship deleted parent of 0032896
2022-03-30 09:42 bugmaster Summary Application Framework - Regressions on Ubuntu 10.04 => Application Framework - Regressions on Ubuntu 20.04
2022-03-30 11:27 kgv Note Added: 0107476
2022-03-30 11:27 kgv Note Edited: 0107476
2022-06-20 17:45 git Note Added: 0109123
2022-06-21 08:56 mpv Assigned To mpv => vro
2022-06-21 08:56 mpv Status new => resolved
2022-06-21 08:56 mpv Steps to Reproduce Updated
2022-06-21 08:56 mpv Note Added: 0109126
2022-06-21 12:44 vro Assigned To vro => bugmaster
2022-06-21 12:44 vro Status resolved => reviewed
2022-06-21 12:44 vro Note Added: 0109139
2022-06-26 11:27 smoskvin Status reviewed => tested
2022-06-26 11:27 smoskvin Note Added: 0109235
2022-06-26 11:29 smoskvin Test case number => Not required
2022-06-26 11:46 mpv Changeset attached => occt master f8c45c2f
2022-06-26 11:46 mpv Assigned To bugmaster => mpv
2022-06-26 11:46 mpv Status tested => verified
2022-06-26 11:46 mpv Resolution open => fixed
2022-06-26 11:58 git Note Added: 0109246